Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228209 - pgg.elc missing from emacs-common
Summary: pgg.elc missing from emacs-common
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chip Coldwell
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-11 17:24 UTC by Need Real Name
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-05 20:16:50 UTC


Attachments (Terms of Use)

Description Need Real Name 2007-02-11 17:24:07 UTC
Description of problem:

emacs-common is missing the elisp file pgg.el/pgg.elc which is part of the
latest GNUS sources and is required for pgp signing, etc.

Would it be possible to make sure that this library is included in an updated
version of emacs-common? (which is where gnus.elc is)

Thanks

Comment 1 Chip Coldwell 2007-02-14 15:11:42 UTC
(In reply to comment #0)
> Description of problem:
> 
> emacs-common is missing the elisp file pgg.el/pgg.elc which is part of the
> latest GNUS sources and is required for pgp signing, etc.

I'm disinclined to backport this for emacs-21.  Have you tried emacs-22?

http://people.redhat.com/coldwell/emacs/fedora/

Chip


Comment 2 Jonathan Underwood 2007-03-09 16:42:15 UTC
Actually, I have backported the pgg.el(c) and friends into the emacs-vm package,
and so if you do yum install emacs-vm, you'll have what you need.

Chip - I probably should've talked to you about this prior to doing it, sorry.
But, do you forsee any problems in me doing this? Would it be better if the pgg
stuff was in it's own sub-package so it was available outside of emacs-vm?


Comment 3 Chip Coldwell 2007-04-05 20:16:50 UTC
(In reply to comment #2)
> Actually, I have backported the pgg.el(c) and friends into the emacs-vm package,
> and so if you do yum install emacs-vm, you'll have what you need.
> 
> Chip - I probably should've talked to you about this prior to doing it, sorry.
> But, do you forsee any problems in me doing this? Would it be better if the pgg
> stuff was in it's own sub-package so it was available outside of emacs-vm?

That's up to you, if you're maintaining those packages.  I guess the major use
of pgp is for email, so maybe it's better to reduce the proliferation of packages.

Chip





Note You need to log in before you can comment on or make changes to this bug.